package com.yeejoin.amos.kgd.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.kgd.model.AnalysisResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Lizhou
* @description 针对表【analysis_result】的数据库操作Mapper
* @createDate 2024-07-31 17:07:12
* @Entity com.atguigu.pojo.AnalysisResult
*/
public interface AnalysisResultMapper extends BaseMapper<AnalysisResult> {


    Integer queryHighFrequencyNumber(@Param("deviceId") String deviceId);

    List<AnalysisResult> queryHighFrequencyData(@Param("deviceId") String deviceId,
                                                @Param("highFrequencyNumber") Integer highFrequencyNumber);

    List<AnalysisResult> queryHighFrequencyAnalysisData(@Param("deviceId") String deviceId,
                                                        @Param("highFrequencyNumber") Integer highFrequencyNumber);

    List<String> queryVarName(@Param("deviceId") String deviceId);

    AnalysisResult queryAnalysisData(@Param("deviceId") String deviceId,
                                     @Param("varName") String varName);

    AnalysisResult queryAnalysisResultRate(@Param("deviceId") String deviceId,
                                           @Param("varName") String varName);

    List<AnalysisResult> querySwitchDataByDeviceId(@Param("deviceId") String deviceId,
                                                   @Param("switchNumber") Integer switchNumber);

    Integer querySwitchTypeNumber(@Param("deviceId") String deviceId);

    List<AnalysisResult> queryPredictionResult(@Param("deviceId") String deviceId,
                                               @Param("varName") String varName,
                                               @Param("predictiveNumber") Integer predictiveNumber);


    Integer queryTemperatureTypeNumber(@Param("deviceId") String deviceId,
                                       @Param("varName") String varName);
    List<AnalysisResult> queryTemperature(@Param("deviceId") String deviceId,
                                          @Param("temperatureNumber") Integer temperatureNumber);

}




